Bug 440667 - io_ti.ko module does not probe Edgeport/4 successfully
io_ti.ko module does not probe Edgeport/4 successfully
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 09:26 EDT by Nick Maliszewskyj
Modified: 2009-01-09 01:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:19:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Maliszewskyj 2008-04-04 09:26:51 EDT
Description of problem:
The kernel packages 2.6.24-x do not successfully probe the Edgeport/4x
USB/serial converters. The io_ti.ko module loads, but does not create
device files /dev/ttyUSBx to bind to the serial converter. Under the 2.6.23-x
kernel packages the device was successfully discovered and configured.

Version-Release number of selected component (if applicable):
2.6.24-x

How reproducible:
Completely

Steps to Reproduce:
1. Boot to 2.6.24-x kernel (any one)
2. Plug in Edgeport/4 to any USB port
3. Check /var/log/messages for progress
4. Check for creation of /dev/ttyUSBx device files
  
Actual results:
A listing of /var/log/messages yields the following:
Apr  4 05:03:12 tango kernel: usb 4-1: new full speed USB device using uhci_hcd
and address 3
Apr  4 05:03:12 tango kernel: usb 4-1: configuration #1 chosen from 1 choice
Apr  4 05:03:12 tango kernel: hub 4-1:1.0: USB hub found
Apr  4 05:03:12 tango kernel: hub 4-1:1.0: 1 port detected
Apr  4 05:03:12 tango kernel: usb 4-1.1: new full speed USB device using
uhci_hcd and address 4
Apr  4 05:03:12 tango kernel: usb 4-1.1: configuration #1 chosen from 1 choice
Apr  4 05:03:12 tango kernel: usbcore: registered new interface driver usbserial
Apr  4 05:03:12 tango kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for generic
Apr  4 05:03:12 tango kernel: usbcore: registered new interface driver
usbserial_generic
Apr  4 05:03:12 tango kernel: drivers/usb/serial/usb-serial.c: USB Serial Driver
core
Apr  4 05:03:12 tango kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for Edgeport TI 1 port adapter
Apr  4 05:03:12 tango kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for Edgeport TI 2 port adapter
Apr  4 05:03:12 tango kernel: io_ti: probe of 4-1.1:1.0 failed with error -5
Apr  4 05:03:12 tango kernel: usbcore: registered new interface driver io_ti
Apr  4 05:03:12 tango kernel: drivers/usb/serial/io_ti.c: Edgeport USB Serial
Driver v0.7mode043006

Expected results:
Under kernel packages 2.6.23-x the probing of the Edgeport device seems to
fail as well, but the driver reattempts the probing:
Apr  4 09:23:12 bach kernel: usb 4-1: new full speed USB device using uhci_hcd
and address 2
Apr  4 09:23:12 bach kernel: usb 4-1: configuration #1 chosen from 1 choice
Apr  4 09:23:12 bach kernel: hub 4-1:1.0: USB hub found
Apr  4 09:23:12 bach kernel: hub 4-1:1.0: 1 port detected
Apr  4 09:23:12 bach kernel: usb 4-1.1: new full speed USB device using uhci_hcd
and address 3
Apr  4 09:23:13 bach kernel: usb 4-1.1: configuration #1 chosen from 1 choice
Apr  4 09:23:13 bach kernel: usbcore: registered new interface driver usbserial
Apr  4 09:23:13 bach kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for generic
Apr  4 09:23:13 bach kernel: usbcore: registered new interface driver
usbserial_generic
Apr  4 09:23:13 bach kernel: drivers/usb/serial/usb-serial.c: USB Serial Driver core
Apr  4 09:23:13 bach kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for Edgeport TI 1 port adapter
Apr  4 09:23:13 bach kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for Edgeport TI 2 port adapter
Apr  4 09:23:13 bach kernel: io_ti 4-1.1:1.0: Edgeport TI 2 port adapter
converter detected
Apr  4 09:23:14 bach kernel: io_ti: probe of 4-1.1:1.0 failed with error -5
Apr  4 09:23:14 bach kernel: usbcore: registered new interface driver io_ti
Apr  4 09:23:14 bach kernel: drivers/usb/serial/io_ti.c: Edgeport USB Serial
Driver v0.7mode043006
Apr  4 09:23:14 bach kernel: usb 4-1: USB disconnect, address 2
Apr  4 09:23:14 bach kernel: usb 4-1.1: USB disconnect, address 3
Apr  4 09:23:16 bach kernel: usb 4-1: new full speed USB device using uhci_hcd
and address 4
Apr  4 09:23:16 bach kernel: usb 4-1: configuration #1 chosen from 1 choice
Apr  4 09:23:16 bach kernel: hub 4-1:1.0: USB hub found
Apr  4 09:23:16 bach kernel: hub 4-1:1.0: 2 ports detected
Apr  4 09:23:17 bach kernel: usb 4-1.1: new full speed USB device using uhci_hcd
and address 5
Apr  4 09:23:17 bach kernel: usb 4-1.1: configuration #1 chosen from 1 choice
Apr  4 09:23:17 bach kernel: io_ti 4-1.1:1.0: Edgeport TI 2 port adapter
converter detected
Apr  4 09:23:18 bach kernel: io_ti: probe of 4-1.1:1.0 failed with error -5
Apr  4 09:23:18 bach kernel: usb 4-1.2: new full speed USB device using uhci_hcd
and address 6
Apr  4 09:23:18 bach kernel: usb 4-1.2: configuration #1 chosen from 1 choice
Apr  4 09:23:18 bach kernel: io_ti 4-1.2:1.0: Edgeport TI 2 port adapter
converter detected
Apr  4 09:23:19 bach kernel: usb 4-1.2: Edgeport TI 2 port adapter converter now
attached to ttyUSB0
Apr  4 09:23:19 bach kernel: usb 4-1.2: Edgeport TI 2 port adapter converter now
attached to ttyUSB1
Apr  4 09:23:19 bach kernel: usb 4-1.1: USB disconnect, address 5
Apr  4 09:23:20 bach kernel: usb 4-1.1: new full speed USB device using uhci_hcd
and address 7
Apr  4 09:23:21 bach kernel: usb 4-1.1: configuration #1 chosen from 1 choice
Apr  4 09:23:21 bach kernel: io_ti 4-1.1:1.0: Edgeport TI 2 port adapter
converter detected
Apr  4 09:23:21 bach kernel: usb 4-1.1: Edgeport TI 2 port adapter converter now
attached to ttyUSB2
Apr  4 09:23:21 bach kernel: usb 4-1.1: Edgeport TI 2 port adapter converter now
attached to ttyUSB3

Additional info:
These tests were performed on a Dell Optiplex 745 and a Dell Latitude D610.
In each case the Edgeport device is successfully discovered and configured
under the 2.6.23-x kernels and is inert under the 2.6.24-x kernels.
Comment 1 Bug Zapper 2008-11-26 05:24:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:19:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.